//template添加过滤器
template.defaults.imports.timestamp = function(value){
    return parseInt(value/60)+"小时"+value%60+"分钟"
};
template.defaults.imports.timesH = function(value){
    return parseInt(value/60);
};
template.defaults.imports.timesM = function(value){
    return parseInt(value%60);
};
template.defaults.imports.timestamp2 = function(value){
    return value.split(' ')[0];
};
template.defaults.imports.day = function(value){
    return parseInt(value.split('-')[1])+"月"+parseInt(value.split('-')[2])+"日";
};
template.defaults.imports.imgUrl = function(value){
    var url=base_url;
    return url+value;
};
template.defaults.imports.bookUrl = function(value){
    if(!value){
      return value="images/default-book.png";
    }else{
        var url=base_url;
        return url+value;
    }
};
template.defaults.imports.photoUrl = function(value){
    if(!value){
      return value="images/default-photo.png";
    }else{
        var url=base_url;
        return url+value;
    }
};
Zepto(function($){
    $("").on("touchstart",function(){
        $(this).addClass("touch");
    });
    $("").on("touchend touchmove touchcancel",function(){
        $(this).removeClass("touch");
    });
    $(".tab-nav a").on("click",function(e){
        e.preventDefault();
        $(this).addClass("active").siblings("a").removeClass("active");
        var forTab=$(this).parents(".tab-nav").attr("for")||"";
        var targetCon=$(this).attr("href");
        $(forTab+".tab-con").children("div"+targetCon).addClass("active");
        $(forTab+".tab-con").children("div"+targetCon).siblings().removeClass("active");
    });

    $(document).on("click",".icon-back,.icon-back2",finish);
});


function ajax(url,params){
    var baseUrl=base_url+"tv1";
    var data=$.extend({},params);
    var token=getToken();
    return $.ajax({
        type: "get",   //提交类型
        dataType: "json",   //提交数据类型
//        url: baseUrl+url,  //提交地址
        url: getUrl()+url,  //提交地址
        crossDomain: true, //支持跨域
        data: data,
        headers: {"token":token}
    });
}
//
////获取url参数
function GetQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var result = window.location.search.substr(1).match(reg);
    return result ? decodeURIComponent(result[2]) : null;
}


function shareFun(params){
    //{title:params.title,des:params.des,shareurl:params.url,cover:params.pic}}
//    window.AndroidWebView.onShare(params.title,params.des,params.url,params.pic);
    window.AndroidWebView.onShare(JSON.stringify(params));
}
 function finish(){
    //调用此代码
    window.AndroidWebView.finish();
  }

 function getToken(){
     var token=window.AndroidWebView.getToken();
     return token;
 }

 function getUserId(){
     var userId=window.AndroidWebView.getUserId();
     return userId;
 }

 function getBookId(){
     var bookId=window.AndroidWebView.getBookId();
     return bookId;
}

 function getCourseId(){
    return window.AndroidWebView.getCourseId();
}

 function getDefaultChildId(){
    return window.AndroidWebView.getDefaultChildId();
}

 function getDefaultNurseryId(){
    return window.AndroidWebView.getDefaultNurseryId();
}

function dispatch(what){
    window.AndroidWebView.dispatch(what);
}

function getUrl(){
    return window.AndroidWebView.getUrl();
}

function getTitle(){
    return window.AndroidWebView.getTitle();
}

function setTitle(){
document.title=getTitle();
}

